Name:		msgpack
Version:	0.5.7
Release:	1%{?dist}
Summary:	Binary-based efficient object serialization library
Group:		System Environment/Libraries

License:	ASL 2.0
URL:		http://msgpack.org
Source0:	http://msgpack.org/releases/cpp/%{name}-%{version}.tar.gz
Patch0:		msgpack-gtest-implicit-dso.patch

# for regenerating configure
BuildRequires:	libtool
# for %%check
BuildRequires:	gtest-devel
BuildRequires:	zlib-devel

%description
MessagePack is a binary-based efficient object serialization
library. It enables to exchange structured objects between many
languages like JSON. But unlike JSON, it is very fast and small.


%package devel
Summary:	Libraries and header files for %{name}
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Libraries and header files for %{name}


%prep
%setup -q
%patch0 -p1 -b .gtest-implicit-dso


%build
autoreconf -f -i
%configure --disable-static
make %{?_smp_mflags}


%check
make check


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f '{}' ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS COPYING ChangeLog LICENSE NOTICE README README.md
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Wed Feb 15 2012 Daiki Ueno <dueno@redhat.com> - 0.5.7-1
- initial packaging for Fedora

